mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Runtime.InteropServices.ComVisible(true)

Unless you are a service provider dealing with issues such as activation, lifetime management, or transactions, you do not need to distinguish between proxy references and object references. The remoting infrastructure uses transparent proxies that give the impression that the remote objects reside in the client's space. Proxies achieve this by forwarding calls made on them to the real objects at remote locations.

Provides several methods for using and publishing remoted objects and proxies. This class cannot be inherited.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(true)
  System.Object `` ``

  The returned proxy object points to an endpoint served by the specified well-known object. No messages are sent over the network until a method is called on the proxy.

  Creates a proxy for a well-known object, given the and URL.

  A proxy to the remote object that points to an endpoint served by the specified well-known object.

  The of a well-known object on the server end to which you want to connect. The URL of the server class.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(true)
  System.Object `` `` ``

  The returned proxy object points to an endpoint served by the specified well-known object. No messages are sent over the network until a method is called on the proxy.

  The object is used to communicate information to the channel, and is passed to the method.

  Creates a proxy for a well-known object, given the , URL, and channel-specific data.

  A proxy that points to an endpoint that is served by the requested well-known object.

  The of the well-known object to which you want to connect. The URL of the well-known object. Channel specific data. Can be null.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added

  Stops an object from receiving any further messages through the registered remoting channels.

  true if the object was disconnected from the registered remoting channels successfully; otherwise, false.

  Object to disconnect from its channel.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.Remoting.Messaging.IMethodReturnMessage `` ``

  The current method is used in special cases by the server to forward the specified method call to another, possibly remote, object. This method can be called only when the caller is in the appropriate context.

  Connects to the specified remote object, and executes the provided on it.

  The response of the remote method.

  The remote object whose method you want to call. A method call message to the specified remote object's method.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.Remoting.Messaging.IMessageSink ``

  Envoy sinks are sinks sent along with the of an object that is used when returning messages to that object. The current method returns the envoy sinks that are used during communication between the proxy of the object and the object itself.

  Returns a chain of envoy sinks that should be used when sending messages to the remote object represented by the specified proxy.

  A chain of envoy sinks associated with the specified proxy.

  The proxy of the remote object that requested envoy sinks are associated with.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object ``

  For the default lifetime service the returned object will be an object of type . If the parameter is null, the method returns null.

  Returns a lifetime service object that controls the lifetime policy of the specified object.

  The object that controls the lifetime of .

  The object to obtain lifetime service for.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodBase ``

  This determines the method base from the , , and properties of and is used by classes implementing the interface. Consumers of classes should reference the property.

  Returns the method base from the given .

  The method base extracted from the parameter.

  The method message to extract the method base from.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` To be added

  Serializes the specified marshal by reference object into the provided .

  The object to serialize. The into which the object is serialized. The source and destination of the serialization.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String `` To be added

  Retrieves the URI for the specified object.

  The URI of the specified object if it has one, or null if the object has not yet been marshaled.

  The for which a URI is requested.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.Remoting.ObjRef ``

  A is a serializable representation of an object used to transfer an object reference across an application domain boundary. Creating a for an object is known as marshaling. The can be transferred through a channel into another application domain (possibly on another process or computer). Once in the other application domain, the must be parsed to create a proxy for the object, generally connected to the real object. This operation is known as unmarshaling. During unmarshaling, the is parsed to extract the method information of the remote object and both the transparent proxy and objects are created.

  A contains information that describes the and class of the object being marshaled, a URI that uniquely identifies the specific object instance, and communication related information about how to reach the remote application where the object is located.

  Returns the that represents the remote object from the specified proxy.

  A that represents the remote object the specified proxy is connected to, or null if the object or proxy have not been marshaled.

  A proxy connected to the object you want to create a for.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.ConstrainedExecution.ReliabilityContract(System.Runtime.ConstrainedExecution.Consistency.WillNotCorruptState, System.Runtime.ConstrainedExecution.Cer.Success)
  System.Runtime.Remoting.Proxies.RealProxy ``

  A client that uses an object across any kind of remoting boundary is actually using a transparent proxy for the object. The transparent proxy gives the impression that the actual object resides in the client's space. It achieves this by forwarding calls made on it to the real object using the remoting infrastructure.

  The transparent proxy is backed by an instance of a managed runtime class of type . The implements a part of the functionality needed to forward the operations from the transparent proxy.

  A proxy object inherits the associated semantics of managed objects such as garbage collection, support for members and methods, and can be extended to form new classes. The proxy acts as an object of the same class as the remote object (transparent proxy), and is also a managed object.

  Returns the real proxy backing the specified transparent proxy.

  The real proxy instance backing the transparent proxy.

  A transparent proxy.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type ``

  Because remoting identifies endpoints using URIs, the method is very useful in the pluggable parts of the remoting infrastructure (for example, channel sinks, dynamic sinks, and context sinks) that use objects, because the current method will return the associated type object from the URI.

  Returns the of the object with the specified URI.

  The of the object with the specified URI.

  The URI of the object whose is requested.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String ``

  The same session ID might be returned for objects in the same application, but this method will never return the same session ID for two objects in different remote applications.

  For more information about identifying sessions and session IDs, see ASP.Net Session State.

  Retrieves a session ID for a message.

  A session ID string that uniquely identifies the current session.

  The for which a session ID is requested.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added

  Returns a Boolean value that indicates whether the method in the given message is overloaded.

  true if the method called in is overloaded; otherwise, false.

  The message that contains a call to the method in question.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  For information about application domains, see Application Domains.

  Returns a Boolean value that indicates whether the object specified by the given transparent proxy is contained in a different application domain than the object that called the current method.

  true if the object is out of the current application domain; otherwise, false.

  The object to check.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  A context is an ordered sequence of properties that define an environment for the objects that reside inside it. Contexts are created during the activation process for objects that are configured to require certain automatic services such synchronization, transactions, just-in-time activation, security, and so on. Multiple objects can live inside a context.

  Returns a Boolean value that indicates whether the object represented by the given proxy is contained in a different context than the object that called the current method.

  true if the object is out of the current context; otherwise, false.

  The object to check.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  When a one-way method is called, the client does not wait for the server to finish processing the message. The client method returns to the application with no knowledge of whether or not the server will successfully process the message. Methods are marked as one way using the .

  One-way methods cannot have a return value or any out parameters.

  Returns a Boolean value that indicates whether the client that called the method specified in the given message is waiting for the server to finish processing the method before continuing execution.

  true if the method is one way; otherwise, false.

  The method in question.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.ConstrainedExecution.ReliabilityContract(System.Runtime.ConstrainedExecution.Consistency.WillNotCorruptState, System.Runtime.ConstrainedExecution.Cer.Success)
  System.Boolean ``

  A client that uses an object across any kind of a remoting boundary is actually using a transparent proxy for the object. The transparent proxy gives the impression that the actual object resides in the client's space. It achieves this by forwarding calls made on it to the real object using the remoting infrastructure.

  The transparent proxy is itself housed by an instance of a managed runtime class of type . The implements a part of the functionality needed to forward the operations from the transparent proxy. A proxy object inherits the associated semantics of managed objects such as garbage collection, support for members and methods, and can be extended to form new classes. Thus the proxy has a dual nature; on the one hand it needs to act as an object of the same class as the remote object (transparent proxy), and on the other it is a managed object itself.

  A proxy object can be used without regard to any remoting subdivisions within a . Applications need not distinguish between proxy references and object references. However, service providers dealing with issues such as activation, lifetime management, and transactions need to make such distinctions.

  Returns a Boolean value that indicates whether the given object is a transparent proxy or a real object.

  A Boolean value that indicates whether the object specified in the parameter is a transparent proxy or a real object.

  The reference to the object to check.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.Conditional("REMOTING_PERF")
  System.Obsolete("It existed for only internal use in .NET and unimplemented in mono")
  System.Void ``

  A "REMOTING_PERF" preprocessing symbol is applied to the method by using the attribute.

  Logs the stage in a remoting exchange to an external debugger.

  An internally defined constant that identifies the stage in a remoting exchange.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.Remoting.ObjRef ``

  A is a serializable representation of an object used to transfer an object reference across an application domain boundary. Creating a for an object is known as marshaling. The can be transferred through a channel into another application domain (possibly on another process or computer). Once in the other application domain, the must be parsed to create a proxy for the object, generally connected to the real object. This operation is known as unmarshaling.

  A contains information that describes the and class of the object being marshaled, a URI that uniquely identifies the specific object instance, and communication related information about how to reach the remoting subdivision where the object is located.

  During marshaling, the context from the current thread is used, not the context that was active when the object was created. If a URI was not explicitly set by the method, it is automatically generated by the remoting identity infrastructure.

  You cannot associate a URI with a proxy for one of two reasons: either the URI was generated at the server side for the object it represents, or the object is well known, in which case the URI is known. For this reason, if the parameter is a proxy, an exception will be thrown. For custom proxies this restriction is relaxed because the transparent proxy is treated as the server object.

  Takes a , registers it with the remoting infrastructure, and converts it into an instance of the class.

  An instance of the class that represents the object specified in the parameter.

  The object to convert.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.Remoting.ObjRef `` ``

  A is a serializable representation of an object used to transfer an object reference across an application domain boundary. Creating a for an object is known as marshaling. The can be transferred through a channel into another application domain (possibly on another process or computer). Once in the other application domain, the must be parsed to create a proxy for the object, generally connected to the real object. This operation is known as unmarshaling.

  A contains information that describes the and class of the object being marshaled, a URI that uniquely identifies the specific object instance, and communication related information about how to reach the remoting subdivision where the object is located.

  During marshaling, the context from the current thread is used, not the context that was active when the object was created.

  You cannot associate a URI with a proxy for one of two reasons: either the URI was generated at the server side for the object it represents, or the object is well known, in which case the URI is known. For this reason, if the parameter is a proxy, an exception will be thrown. For custom proxies this restriction is relaxed because the transparent proxy is treated as the server object.

  Converts the given into an instance of the class with the specified URI.

  An instance of the class that represents the object specified in the parameter.

  The object to convert. The specified URI with which to initialize the new . Can be null.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.Remoting.ObjRef `` `` ``

  A is a serializable representation of an object used to transfer an object reference across an application domain boundary. Creating a for an object is known as marshaling. The can be transferred through a channel into another application domain (possibly on another process or computer). Once in the other application domain, the must be parsed to create a proxy for the object, generally connected to the real object. This operation is known as unmarshaling.

  A contains information that describes the and class of the object being marshaled, a URI that uniquely identifies the specific object instance, and communication related information about how to reach the remoting subdivision where the object is located.

  The specified is used by the remoting infrastructure to limit the scope of the exposed type hierarchy. For example, if object A derives from object B, which derives from object C, and is called, then the client can cast the proxy between C and B but not to A.

  During marshaling, the context from the current thread is used, not the context that was active when the object was created.

  You cannot associate a URI with a proxy for one of two reasons: either the URI was generated at the server side for the object it represents, or the object is well known, in which case the URI is known. For this reason, if the parameter is a proxy, an exception will be thrown. For custom proxies this restriction is relaxed because the transparent proxy is treated as the server object.

  Takes a and converts it into an instance of the class with the specified URI, and the provided .

  An instance of the class that represents the object specified in the parameter.

  The object to convert into a . The URI the object specified in the parameter is marshaled with. Can be null. The is marshaled as. Can be null.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  The URI set by the current method is used when marshaling the given object.

  After marshaling, the URI of the specified object is set to the string in the parameter appended onto the of the current .

  If the current application is listening on an HTTP port, then both the string specified in the parameter and the string appended onto the of the current route to the specified object. For example, if the application is listening on HTTP port 9000, then both http://localhost:9000/objectUri, and http://localhost:9000/<appdomainguid>/objectUri route to the object specified in the parameter.

  Sets the URI for the subsequent call to the method.

  The object to set a URI for. The URI to assign to the specified object.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object ``

  A is a serializable representation of an object used to transfer an object reference across an application domain boundary. Creating a for an object is known as marshaling. The can be transferred through a channel into another application domain (possibly on another process or computer). Once in the other application domain, the must be parsed to create a proxy for the object, generally connected to the real object. This operation is known as unmarshaling. During unmarshaling, the is parsed to extract the method information of the remote object and both the transparent proxy and objects are created. The content of the parsed is added to the transparent proxy before the transparent proxy is registered with the common language runtime.

  A contains information that describes the and class of the object being marshaled, a URI that uniquely identifies the specific object instance, and communication related information about how to reach the remoting subdivision where the object is located.

  Takes a and creates a proxy object out of it.

  A proxy to the object that the given represents.

  The that represents the remote object for which the proxy is being created.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` ``

  A is a serializable representation of an object used to transfer an object reference across an application domain boundary. Creating a for an object is known as marshaling. The can be transferred through a channel into another application domain (possibly on another process or computer). Once in the other application domain, the must be parsed to create a proxy for the object, generally connected to the real object. This operation is known as unmarshaling. During unmarshaling, the is parsed to extract the method information of the remote object and both the transparent proxy and objects are created. The content of the parsed is added to the transparent proxy before the transparent proxy is registered with the common language runtime.

  A contains information that describes the and class of the object being marshaled, a URI that uniquely identifies the specific object instance, and communication related information about how to reach the remoting subdivision where the object is located.

  When first created, the proxy is of type . As you cast it into different types, the remoting infrastructure keeps track of the most used type to avoid loading the type unnecessarily.

  Takes a and creates a proxy object out of it, refining it to the type on the server.

  A proxy to the object that the given represents.

  The that represents the remote object for which the proxy is being created. true to refine the proxy to the type on the server; otherwise, false.